//
// Created by marob on 1/2/2024.
//

#ifndef GROUPMEMBER_H
#define GROUPMEMBER_H
#include "Actor.h"


class GroupMember : public Actor {
public:
    explicit GroupMember(const shared_ptr<LSObject> &obj) : Actor(obj) {
    }

    std::string ZoneName() const;

    u_long PetId() const;

    int RaidGroupNumber() const;

    int RaidRole() const;

    int HitPoints() const;

    int MaxHitPoints() const;

    int CurrentPower() const;

    bool InZone() const;

    bool IsAfflicted() const;

    int Noxious() const;

    int Trauma() const;

    int Elemental() const;

    int Arcane() const;

    int Cursed() const;

private:
};


#endif //GROUPMEMBER_H
